require "scripts/style"


local yes="yes" ;
local yesname="yes" ;
local no="no" ;
local noname="no" ;
local name="yesnobox";
local yescmd=gDialogTable.yes;
local nocmd=gDialogTable.no;
local darkBgk = ""
local bgk="backgrounds/ir_bg_diabox01"

if (gDialogTable.yeslabel) then
	yes = gDialogTable.yeslabel ;
end
if (gDialogTable.nolabel) then
	no = gDialogTable.nolabel ;
end
if (gDialogTable.yesname) then
	yesname = gDialogTable.yesname;
end
if (gDialogTable.noname) then
	noname = gDialogTable.noname;
end

if (gDialogTable.name) then
	name = gDialogTable.name;
end

if (gDialogTable.darkBgk) then
	darkBgk = gDialogTable.darkBgk;
end
if (gDialogTable.bgk) then
	bgk = gDialogTable.bgk;
end

MakeDialog
{
	name=name, -- Remember, this is like saying table['name']=name, so it works.
	w = 1024,
	h = 768,
	x=0,
	y=0,
    Bitmap
    {
		w = 1024,
		h = 768,
		x=0,
		y=0,

        SetStyle(ButtonStyle),
        Button
        {
			scale=.75,
			graphics={"buttons/ir_btn_univ_sm01","buttons/ir_btn_univ_sm03","buttons/ir_btn_univ_sm02"},
			command=
				function()
					--if (yescmd) then
						willUnlockRoom(yes)						
					--end
				end;
            flags = 5,
            MenuButtonLabel3(yes,37,9),
            name = yesname,
            x = 526,
            y = 567,
        },
        Button
        {
			scale=.75,
			graphics={"buttons/ir_btn_univ_sm01","buttons/ir_btn_univ_sm03","buttons/ir_btn_univ_sm02"},
			command=
				function()
					--if (nocmd) then
						willUnlockRoom(no);
					--end
                end;
            flags = 5,
            MenuButtonLabel3(no,41,9),
			sound = "audio/sfx/Menu_Click01.ogg",
            name = noname,
            x = 691,
            y = 567,
        },

    },

} -- MakeDialog
